{% extends 'base.html.twig' %}

{% block body %}

    <div class="container">
        <div class="dreamcrub">
            <ul class="breadcrumbs">

                <li class="home">
                    <a href="{{ path('home') }}" title="Go to Home Page"><img
                                src="{{ asset('/build/images/home.png') }}" alt="Home"/></a>&nbsp;
                    <span>&gt;</span>
                </li>
                <li>
                    <a href="{{ path('shop.cart.show') }}">Cart({{ cart['products']|length }})</a>
                    <span>&gt;</span>
                </li>
                <li>
                    Checkout
                </li>
            </ul>
            <ul class="previous">
                <li><a href="{{ app.request.headers.get('referer') }}">Back to Previous Page</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </div>

    <section id="categoryBanner">
        <h1>Your cart</h1>
    </section>
    <br>
    <br>

    <div class="container">
        {% if cart['products'] %}
            <div class="card">
                <div class="card-body">

                    <div class="box">
                        <table id="tableCart" class="table table-hover">
                            <thead>
                            <tr>
                                <th></th>
                                <th>Product</th>
                                <th>Price</th>
                                <th>Quantity</th>
                                <th>Subtotal</th>
                                <th></th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for product in cart['products'] %}
                                <tr>
                                    <td><a href="#">Images</a></td>
                                    <td>
                                        <a
                                                href="{{ path('shop.'~ product.sex ~'.product', {'id': product.id}) }}"
                                                class="product-name"
                                                data-href="{{ path('shop.'~ product.sex ~'.product', {'id': product.id}) }}"
                                                data-user="{{ user }}"
                                        >
                                            {{ product.name }}
                                        </a>
                                    </td>
                                    <td>{{ product.price }}</td>
                                    <td>
                                        {{ cart['count'][product.id] }}
                                    </td>
                                    <td>{{ cart['sub_total'][product.id] }}</td>
                                    <td>
                                    </td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
            <div class="action-checkout">
                {{ form_start(form) }}
                {{ form_widget(form) }}
                <button type="submit" class="btn btn-primary" id="place-order">Place Order</button>
                {{ form_end(form) }}
                <span class="grand-total">Grand total: {{ cart['grand_total'] }}</span>
            </div>
        {% else %}
            <h1>Your Cart is empty</h1>
        {% endif %}
    </div>


{% endblock %}